Debian Bug report logs - #580293
Please remove dependency on gnome-pilot

version graph

Package: evolution; Maintainer for evolution is Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>; Source for evolution is src:evolution.

Reported by: Michael Biebl <biebl@debian.org>

Date: Wed, 5 May 2010 02:45:02 UTC

Severity: normal

Found in version evolution/2.28.3-1

Fixed in version evolution/2.30.1.2-2

Done: Yves-Alexis Perez <corsac@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#580293; Package evolution. (Wed, 05 May 2010 02:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 05 May 2010 02:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please remove dependency on gnome-pilot
Date: Wed, 05 May 2010 04:42:43 +0200
Package: evolution
Version: 2.28.3-1+b1
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: halectomy

Hi,

please consider removing support for gnome-pilot(-conduits) from
evolution or at least demoting the recommends to suggests.
Palm PDAs are not that widespread anymore to justify that those packages
are installed by default. One of the downsides of gnome-pilot is, that
it pulls hal(libhal1) as dependency which we want to get rid of
eventually [1].

Thanks for considering,
Michael

[1] http://wiki.debian.org/HALRemoval

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages evolution depends on:
ii  dbus                    1.2.24-2         simple interprocess messaging syst
ii  debconf [debconf-2.0]   1.5.32           Debian configuration management sy
ii  evolution-common        2.28.3-1         architecture independent files for
ii  evolution-data-server   2.28.3.1-1       evolution database backend server
ii  gconf2                  2.28.1-3         GNOME configuration database syste
ii  gnome-icon-theme        2.30.2.1-1       GNOME Desktop icon theme
ii  libart-2.0-2            2.3.21-1         Library of functions for 2D graphi
ii  libatk1.0-0             1.30.0-1         The ATK accessibility toolkit
ii  libbluetooth3           4.63-1           Library to use the BlueZ Linux Blu
ii  libbonobo2-0            2.24.3-1         Bonobo CORBA interfaces library
ii  libbonoboui2-0          2.24.3-1         The Bonobo UI library
ii  libc6                   2.10.2-6         Embedded GNU C Library: Shared lib
ii  libcairo2               1.8.10-4         The Cairo 2D vector graphics libra
ii  libcamel1.2-14          2.28.3.1-1       The Evolution MIME message handlin
ii  libdbus-1-3             1.2.24-2         simple interprocess messaging syst
ii  libdbus-glib-1-2        0.86-1           simple interprocess messaging syst
ii  libebackend1.2-0        2.28.3.1-1       Utility library for evolution data
ii  libebook1.2-9           2.28.3.1-1       Client library for evolution addre
ii  libecal1.2-7            2.28.3.1-1       Client library for evolution calen
ii  libedataserver1.2-11    2.28.3.1-1       Utility library for evolution data
ii  libedataserverui1.2-8   2.28.3.1-1       GUI utility library for evolution 
ii  libegroupwise1.2-13     2.28.3.1-1       Client library for accessing group
ii  libenchant1c2a          1.4.2-3.6        a wrapper library for various spel
ii  libexchange-storage1.2- 2.28.3.1-1       Client library for accessing Excha
ii  libfontconfig1          2.8.0-2.1        generic font configuration library
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  libgconf2-4             2.28.1-3         GNOME configuration database syste
ii  libgdata-google1.2-1    2.28.3.1-1       Client library for accessing Googl
ii  libgdata1.2-1           2.28.3.1-1       Client library for accessing Googl
ii  libglade2-0             1:2.6.4-1        library to load .glade files at ru
ii  libglib2.0-0            2.24.1-1         The GLib library of C routines
ii  libgnome-desktop-2-17   2.30.0-2         Utility library for loading .deskt
ii  libgnome-pilot2         2.0.15-2.4       Support libraries for gnome-pilot
ii  libgnome2-0             2.30.0-1         The GNOME library - runtime files
ii  libgnomecanvas2-0       2.30.1-1         A powerful object-oriented display
ii  libgnomeui-0            2.24.3-1         The GNOME libraries (User Interfac
ii  libgnomevfs2-0          1:2.24.3-1       GNOME Virtual File System (runtime
ii  libgtk2.0-0             2.20.1-1         The GTK+ graphical user interface 
ii  libgtkhtml-editor0      3.28.3-1         HTML rendering/editing library - e
ii  libgtkhtml3.14-19       3.28.3-1         HTML rendering/editing library - r
ii  libgweather1            2.30.0-1         GWeather shared library
ii  libhal1                 0.5.14-2         Hardware Abstraction Layer - share
ii  libical0                0.44-3           iCalendar library implementation i
ii  libice6                 2:1.0.6-1        X11 Inter-Client Exchange library
ii  libldap-2.4-2           2.4.21-1         OpenLDAP libraries
ii  libnotify1 [libnotify1- 0.4.5-1          sends desktop notifications to a n
ii  libnspr4-0d             4.8.4-1          NetScape Portable Runtime Library
ii  libnss3-1d              3.12.6-2         Network Security Service libraries
ii  liborbit2               1:2.14.18-0.1    libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0           1.28.0-1         Layout and rendering of internatio
ii  libpisock9              0.12.5-2         library for communicating with a P
ii  libpisync1              0.12.5-2         synchronization library for PalmOS
ii  libpopt0                1.15-1           lib for parsing cmdline parameters
ii  libsm6                  2:1.1.1-1        X11 Session Management library
ii  libsoup2.4-1            2.30.1-1         an HTTP library implementation in 
ii  libsqlite3-0            3.6.23.1-1       SQLite 3 shared library
ii  libstartup-notification 0.10-1           library for program launch feedbac
ii  libusb-0.1-4            2:0.1.12-14      userspace USB programming library
ii  libx11-6                2:1.3.3-3        X11 client-side library
ii  libxml2                 2.7.7.dfsg-2     GNOME XML library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages evolution recommends:
pn  bogofilter | spamassassi <none>          (no description available)
ii  evolution-plugins        2.28.3-1+b1     standard plugins for Evolution
ii  evolution-webcal         2.28.0-1        webcal: URL handler for GNOME and 
ii  gnome-desktop-data       2.30.0-2        Common files for GNOME desktop app
ii  gnome-pilot-conduits     2.0.15-1.2      conduits for gnome-pilot
ii  yelp                     2.30.0+webkit-1 Help browser for GNOME

Versions of packages evolution suggests:
pn  bug-buddy                     <none>     (no description available)
pn  evolution-dbg                 <none>     (no description available)
ii  evolution-exchange            2.28.3-1   Exchange plugin for the Evolution 
pn  evolution-plugins-experimenta <none>     (no description available)
ii  gnupg                         1.4.10-3   GNU privacy guard - a free PGP rep
ii  network-manager               0.8-1      network management framework daemo

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#580293; Package evolution. (Wed, 05 May 2010 06:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 05 May 2010 06:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 580293@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Michael Biebl <biebl@debian.org>, 580293@bugs.debian.org
Subject: Re: [Evolution] Bug#580293: Please remove dependency on gnome-pilot
Date: Wed, 05 May 2010 07:59:52 +0200
[Message part 1 (text/plain, inline)]
On mer., 2010-05-05 at 04:42 +0200, Michael Biebl wrote:
> Package: evolution
> Version: 2.28.3-1+b1
> Severity: normal
> User: pkg-utopia-maintainers@lists.alioth.debian.org
> Usertags: halectomy
> 
> Hi,
> 
> please consider removing support for gnome-pilot(-conduits) from
> evolution or at least demoting the recommends to suggests.
> Palm PDAs are not that widespread anymore to justify that those packages
> are installed by default. One of the downsides of gnome-pilot is, that
> it pulls hal(libhal1) as dependency which we want to get rid of
> eventually [1].

gnome-pilot version in debian is too old anyway (and I'm not willing to
take over maintainership or so) so I've dropped the build-dep. The
recommends is not really useful anymore then. I'll drop it for the next
release.

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Mon, 17 May 2010 15:51:15 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Mon, 17 May 2010 15:51:15 GMT) Full text and rfc822 format available.

Message #15 received at 580293-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 580293-close@bugs.debian.org
Subject: Bug#580293: fixed in evolution 2.30.1.2-2
Date: Mon, 17 May 2010 15:48:04 +0000
Source: evolution
Source-Version: 2.30.1.2-2

We believe that the bug you reported is fixed in the latest version of
evolution, which is due to be installed in the Debian FTP archive:

evolution-common_2.30.1.2-2_all.deb
  to main/e/evolution/evolution-common_2.30.1.2-2_all.deb
evolution-dbg_2.30.1.2-2_amd64.deb
  to main/e/evolution/evolution-dbg_2.30.1.2-2_amd64.deb
evolution-dev_2.30.1.2-2_amd64.deb
  to main/e/evolution/evolution-dev_2.30.1.2-2_amd64.deb
evolution-plugins-experimental_2.30.1.2-2_amd64.deb
  to main/e/evolution/evolution-plugins-experimental_2.30.1.2-2_amd64.deb
evolution-plugins_2.30.1.2-2_amd64.deb
  to main/e/evolution/evolution-plugins_2.30.1.2-2_amd64.deb
evolution_2.30.1.2-2.diff.gz
  to main/e/evolution/evolution_2.30.1.2-2.diff.gz
evolution_2.30.1.2-2.dsc
  to main/e/evolution/evolution_2.30.1.2-2.dsc
evolution_2.30.1.2-2_amd64.deb
  to main/e/evolution/evolution_2.30.1.2-2_amd64.deb
libevolution_2.30.1.2-2_amd64.deb
  to main/e/evolution/libevolution_2.30.1.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580293@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated evolution package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 17 May 2010 15:31:33 +0200
Source: evolution
Binary: evolution libevolution evolution-common evolution-dev evolution-dbg evolution-plugins evolution-plugins-experimental
Architecture: source all amd64
Version: 2.30.1.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 evolution  - groupware suite with mail client and organizer
 evolution-common - architecture independent files for Evolution
 evolution-dbg - debugging symbols for Evolution
 evolution-dev - development library files for Evolution
 evolution-plugins - standard plugins for Evolution
 evolution-plugins-experimental - experimental plugins for Evolution
 libevolution - evolution libraries
Closes: 579592 580293
Changes: 
 evolution (2.30.1.2-2) unstable; urgency=low
 .
   * debian/rules:
     - fix nm disabled in linux builds.                          closes: #579592
   * debian/control:
     - drop recommends on gnome-pilot-conduits since we don't build anymore
       with pilot support.                                       closes: #580293
     - update evolution-dev dependencies according to pkgconfig files.
   * debian/evolution-dev.install:
     - ship documentation.
   * Upload to unstable.
Checksums-Sha1: 
 db276ca8e11eb61e0cc18665ed6c13180e32d530 3520 evolution_2.30.1.2-2.dsc
 35964be949985815c3e03258834b0fd418111c7e 37803 evolution_2.30.1.2-2.diff.gz
 5ce9d039d7baf588f88934064d078b5c888f592e 26945288 evolution-common_2.30.1.2-2_all.deb
 7aa69b9801945a5eb9e7f444e23c4b0e40a41193 1141932 evolution_2.30.1.2-2_amd64.deb
 f8488b84846ec35eaf664016f905f8eb0cdbaccd 2300532 libevolution_2.30.1.2-2_amd64.deb
 6a0ae5e7df8edff3645ed9220d56003e4a13b677 466648 evolution-dev_2.30.1.2-2_amd64.deb
 0d7e2e3e522f43d29fab84f484906cbb11e31990 7865226 evolution-dbg_2.30.1.2-2_amd64.deb
 3bba788e78511dfd613918aeb68d719050671821 347184 evolution-plugins_2.30.1.2-2_amd64.deb
 4ac8a8ade07e117edf62787be4a1f27a42129780 168948 evolution-plugins-experimental_2.30.1.2-2_amd64.deb
Checksums-Sha256: 
 07ec7d285735c2294c9c27025c8f63e7ac3ed5f27208025d7b001589edfbc6a8 3520 evolution_2.30.1.2-2.dsc
 f0f3f6c9859e7733147004981c5dedfb4d60167080e42d8b6af39aa216083c03 37803 evolution_2.30.1.2-2.diff.gz
 02b55e63f7cf8982cec0451be29c6b63b1da023b2c01a903a48b0ac11542c9f7 26945288 evolution-common_2.30.1.2-2_all.deb
 4eb35f74e4ff0f4288aa3af1107f4b968a1d83c6c8a293879749661a448246b9 1141932 evolution_2.30.1.2-2_amd64.deb
 ec2ca0598980cc0b6febe935e2d3e75c99e88a5f37ab387e63bf6d6ba1ea4c5e 2300532 libevolution_2.30.1.2-2_amd64.deb
 6a8454d8788fd55cf35ee4f85c6d3379a97b0f41b11af30ef3af57fd4030638c 466648 evolution-dev_2.30.1.2-2_amd64.deb
 2c5740c4b61f2aff1b34e8949373c8c5ce0f935f394953211236b4db209a2854 7865226 evolution-dbg_2.30.1.2-2_amd64.deb
 624d9f9d7176139282168f0d4cc2556b344d2d074bdbc445b27723a21c4a516c 347184 evolution-plugins_2.30.1.2-2_amd64.deb
 457493bd4b8ef53d07212a49b6aaf79e29c4e7ea65fdfe738207df1e45217f40 168948 evolution-plugins-experimental_2.30.1.2-2_amd64.deb
Files: 
 59f761b2f94fef85147b070a1158aa30 3520 gnome optional evolution_2.30.1.2-2.dsc
 457241ec891ebbb9cb06ff69eb014450 37803 gnome optional evolution_2.30.1.2-2.diff.gz
 1d08d1cab34afe43b30c8315b2a08829 26945288 gnome optional evolution-common_2.30.1.2-2_all.deb
 b7ef168acdf440b8c14ac53ad0a45761 1141932 gnome optional evolution_2.30.1.2-2_amd64.deb
 44983468b7430a361590a0877b75fd77 2300532 gnome optional libevolution_2.30.1.2-2_amd64.deb
 73154f9e4a8179f1e69f769b7407cb2c 466648 devel optional evolution-dev_2.30.1.2-2_amd64.deb
 0b7a1a91806130519611c8a66f17cc21 7865226 debug extra evolution-dbg_2.30.1.2-2_amd64.deb
 c691f44d28c1b1a8a29856c72064c65b 347184 gnome optional evolution-plugins_2.30.1.2-2_amd64.deb
 a14869eb0ebb1c2e90efe3980979ccf8 168948 gnome optional evolution-plugins-experimental_2.30.1.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJL8UxYAAoJEDBVD3hx7wuoofcQANeDN4IE5nbUkLrfRnXbGu4l
jICuo0q+NJxn7IAYIAnUQ9e1ptaetexNI+LpmsIhTASv7s4LNq/fvjgIP60poabn
i0RaT3cUNmu9yB9FUsVTn+/SBK0YNi2vvp9d5Ld09QWJ1KQD/Z6CAuOPmUA1z4nk
UaC/vE2MslPWECYtFctHPPGJSHRvucI3844R7CxSKPeWzlodvL4OX1f/ahhe268L
BSDmVY3OU4IFDxvPGWeT3QdSNsjd15k+8l/xfnIWpD05/A/yOUKxwWDDD85fCN7N
Nnz2ih7i38d2JD+iYMiOkR1EQgHKxYNXR6EahMlq+P8OEYg86o7Jw7te9zlGT5SI
mj/kO5zZZRLbVUlgwAGiOLVqWXoly0kCVq7wPqRmRoz/oV09C/QGky0nm709mEne
DRuDlyepX+6HCxX0HG2RQ52Dexn3ROhULQ2HEhNFR0mI8/5qmw71NYIi/G7iJ12X
gOZ9A3FCnwc2q9Zpq7Eeq4k8BVShwVxDQplywi6pBZvoTiJ9NWKa/CqBcJ9y3cfJ
E+sjVXmOq7xOeUChPHRR7WQUkPPDzt6ODCg7260uZ2+Kp+gcLcA5SOKun3YpjqVg
Bf5MBQlbTLM1U5WHgzUXAHqlC+cFMSALfzitc5leBGhKC3EoebRjOpKoVYK8POnt
31+hTU/a3bIqD2BCXRna
=HJJK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Jun 2010 07:36:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:38:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.